"""Add iBGP mesh workflow.

Revision ID: bacd55c26106
Revises: f0764c6f392c
Create Date: 2023-12-18 17:58:29.581963

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'bacd55c26106'
down_revision = 'f0764c6f392c'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "update_ibgp_mesh",
        "target": "MODIFY",
        "description": "Update iBGP mesh",
        "product_type": "Router"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
